package queue

// Message is the shape of messages handed from ingest to indexers.
type Message struct {
	// ID is the message ID.
	ID string `json:"id"`
	// Channel is an identifier for the chat channel where the message was sent.
	Channel string `json:"ch"`
	// Sender is an obfuscated identifier for the sending user.
	Sender sender `json:"u"`
	// Text is the message content.
	Text string `json:"t"`
}
